POST Agents/Archive/GetArchiveConfigurationV2
Some tooltip text!
• 4 minutes to read
• 4 minutes to read
POST /api/v1/Agents/Archive/GetArchiveConfigurationV2
Get the configuration for one archive.
The configuration is keyed by a combination of archive provider name (plus optional context), gui name, and optional table binding. The archive provider name must match an archive provider plugin; the gui name is an arbitrary string used to distinguish multiple occurrences of the same underlying provider in a gui. NsApiSlow threshold: 5000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Archive/GetArchiveConfigurationV2?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
GuiName, ProviderName, Context, OwnerKeys
| Property Name | Type | Description |
|---|---|---|
| GuiName | String | |
| ProviderName | String | |
| Context | String | |
| OwnerKeys | String |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ArchiveConfiguration
| Property Name | Type | Description |
|---|---|---|
| ArchiveColumnInfo | array | |
| ArchiveEntityInfo | array | |
| ArchiveOrderByInfo | array | |
| OwnerKeys | string | The actual ownership information for the configuration that was retrieved |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Archive/GetArchiveConfigurationV2
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"GuiName": "Krajcik-Schowalter",
"ProviderName": "Wilderman-Hand",
"Context": "quia",
"OwnerKeys": "nostrum"
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"ArchiveColumnInfo": [
{
"DisplayName": "Sale Amount",
"DisplayTooltip": "Total sale amount",
"DisplayType": "decimal",
"CanOrderBy": true,
"Name": "amount",
"CanRestrictBy": true,
"RestrictionType": "decimal",
"RestrictionListName": "",
"IsVisible": true,
"ExtraInfo": "sale.amount",
"Width": "120",
"IconHint": "currency",
"HeadingIconHint": "money"
}
],
"ArchiveEntityInfo": [
{
"Id": 745,
"Name": "Sale",
"ToolTip": "Sales and opportunities archive",
"Deleted": false,
"Rank": 1,
"Type": "ArchiveProvider",
"ColorBlock": 323,
"IconHint": "sale",
"Selected": true,
"LastChanged": "2024-11-20T10:00:00+01:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "SaleArchive",
"StyleHint": "entity",
"Hidden": false,
"FullName": "Sale Archive",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 342
}
}
}
],
"ArchiveOrderByInfo": [
{
"Name": "saleDate",
"Direction": "DESC"
},
{
"Name": "amount",
"Direction": "DESC"
}
],
"OwnerKeys": "sale=400,contact=123",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 85
}
}
}